package com.brilliance.isc.common.rmbbop.vo;

import com.brilliance.isc.common.rmbbop.common.AbstractRmb;
import com.brilliance.isc.common.rmbbop.model.Tdngrp;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;
import lombok.EqualsAndHashCode;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

@EqualsAndHashCode(callSuper = true)
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Rmb2106 extends AbstractRmb {
    private Tdngrp recgrp;
    private String lodflg;
    private String ownref = NULLSTR;


    @Override
    public String getObjtyp() {
        return "TDN";
    }

    @Override
    public void clear() {
        super.clear();
        recgrp = new Tdngrp();
        recgrp.reset();
        lodflg = "";
    }

    @Override
    public void reset() {
        super.reset();
        if (recgrp == null) {
            recgrp = new Tdngrp();
        }
        recgrp.reset();
    }
}
